#ifndef EDITOR_H
#define EDITOR_H

#include "scene/scenenode.h"

class Engine;
class ScenePicker;
class ResourcePack;
class ObjectEditor;
class Mesh;

class Editor : public SceneNode
{
    ScenePicker* m_pickerNode;
    Mesh* m_selectedMesh;
    ResourcePack* m_editedResourcePack;
    ObjectEditor* m_objectEditor;
    bool m_materialEditorEnabled;
    bool m_editorEnabled;

    void gui();
public:
    Editor();
    ~Editor();
    void update();
    void materialGui();
    void toggleEditor();
    void togglePicker();
    void toggleMaterialEditor();
    void toggleRenderingPipelineGui();
    void toggleResourcePackGui();
};

#endif // EDITOR_H
